> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# トランザクション ステップ エクスポート要求の作成



## OpenAPI

````yaml /ja/openapi-reporting.json post /api/reporting/v2/exports/transaction-steps
openapi: 3.0.4
info:
  description: 環境：本番<br>製品バージョン：1.3.2
  title: Abbyy.Vantage.Reporting.Service
  version: '2.0'
  x-application-version: 1.3.2
servers:
  - description: 本番（米国）
    url: https://vantage-us.abbyy.com
  - description: 本番（欧州）
    url: https://vantage-eu.abbyy.com
  - description: 本番（オーストラリア）
    url: https://vantage-au.abbyy.com
security:
  - OAuth2Security:
      - global.wildcard
      - openid
      - permissions
paths:
  /api/reporting/v2/exports/transaction-steps:
    post:
      tags:
        - Report
      summary: トランザクション ステップ エクスポート要求の作成
      operationId: CreateTransactionStepsExportRequest
      requestBody:
        content:
          application/*+json:
            schema:
              allOf:
                - $ref: '#/components/schemas/CreateTransactionStepsCsvRequest'
          application/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/CreateTransactionStepsCsvRequest'
          application/json-patch+json:
            schema:
              allOf:
                - $ref: '#/components/schemas/CreateTransactionStepsCsvRequest'
          text/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/CreateTransactionStepsCsvRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateReportRequestResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/CreateReportRequestResponse'
            text/plain:
              schema:
                $ref: '#/components/schemas/CreateReportRequestResponse'
          description: OK
components:
  schemas:
    CreateTransactionStepsCsvRequest:
      additionalProperties: false
      properties:
        filters:
          allOf:
            - $ref: '#/components/schemas/AsyncStepReportFilters'
          description: トランザクション ステップ フィルター
          nullable: true
        sendEmailNotification:
          description: リクエスト処理完了時に通知を送信できるようにします
          type: boolean
      type: object
    CreateReportRequestResponse:
      additionalProperties: false
      properties:
        requestId:
          format: uuid
          type: string
      type: object
    AsyncStepReportFilters:
      additionalProperties: false
      properties:
        endDate:
          description: ステップ完了日時の最大値（空欄の場合は現在のUTC時刻）
          format: date-time
          type: string
        skillId:
          description: トランザクション Skill ID でフィルタリングします。Skill ID でフィルタリングしない場合は {NULL} を指定します
          nullable: true
          type: string
        startDate:
          default: '2025-12-17T15:36:38.524Z'
          description: トランザクション ステップの最短完了日
          format: date-time
          type: string
        transactionId:
          description: トランザクション ID でフィルターします。ID によるフィルターを適用しない場合は {NULL} を指定します
          nullable: true
          type: string
      required:
        - startDate
      type: object
  securitySchemes:
    OAuth2Security:
      flows:
        authorizationCode:
          authorizationUrl: https://vantage-preview.abbyy.com/auth2/connect/authorize
          scopes:
            global.wildcard: Global wildcard
            openid: User Id
            permissions: User permissions
          tokenUrl: https://vantage-preview.abbyy.com/auth2/connect/token
      type: oauth2

````